<!DOCTYPE html>
<html lang="ja">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width">
<?php if(is_tag() || is_date() || is_search() || is_404()) : ?>
<meta name="robots" content="noindex"/>
<?php endif; ?>
<meta property="og:site_name" content="<?php bloginfo( 'name' ); ?>">
<meta property="og:locale" content="ja_JP">
<!--個別ページ用のmetaデータ-->
<?php if( is_single() || is_page() ): ?>
  <?php setup_postdata($post) ?>
  <meta name="description" content="<?php echo post_custom( 'description' ); ?>"/>
  <?php if ( has_tag() ): ?>
    <?php $tags = get_the_tags();
    $kwds = array();
    foreach($tags as $tag){
      $kwds[] = $tag->name;
    }	?>
    <meta name="keywords" content="<?php echo implode( ',',$kwds ); ?>">
  <?php endif; ?>
  <meta property="og:type" content="article">
  <meta property="og:title" content="<?php the_title(); ?>">
  <meta property="og:url" content="<?php the_permalink(); ?>">
  <meta property="og:description" content="<?php echo post_custom( 'description' ); ?>">
  <?php if( has_post_thumbnail() ): ?>
    <?php $postthumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' ); ?>
    <meta property="og:image" content="<?php echo $postthumb[0]; ?>">
  <?php endif; ?>
<?php else: ?><!--個別ページ以外のメタデータ-->
  <meta name="description" content="<?php echo post_custom( 'description' ); ?>">
  <?php $allcats = get_categories();
  $kwds = array();
  foreach($allcats as $allcat) {
    $kwds[] = $allcat->name;
  } ?>
  <meta name="keywords" content="<?php echo implode( ',',$kwds ); ?>">
  <meta property="og:type" content="website">
  <meta property="og:title" content="<?php bloginfo( 'name' ); ?>">
  <?php
  $http = is_ssl() ? 'https' . '://' : 'http' . '://';
  $url = $http . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
  ?>
  <meta property="og:url" content="<?php echo $url; ?>">
  <meta property="og:description" content="<?php echo post_custom( 'description' ); ?>">
  <!-- <meta property="og:image" content="表示したい画像のパス"> -->
<?php endif; ?>
<link href="<?php bloginfo('template_url'); ?>/feed/" title="RSS" type="application/rss+xml" rel="alternate">
<?php include('style.php'); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<header>
<div class="site-title">
    <h1><a  class="logo" href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a></h1>
    <h2><a  class="description center" href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a></h2>
</div>
</header>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery-1.12.4.min.js"></script>